aqsis(1)

NAME
aqsis - a free-as-in-freedom RenderMan engine

DESCRIPTION
Aqsis is a free-as-in-freedom 3D render engine for GNU/Linux and Win32, that conforms to the industry-standard RenderMan Interface. Aqsis is capable of producing motion-picture-quality output and implements all major features of the RenderMan standard, including programmable shaders.

Please visit http://www.aqsis.com for more information.

SYNOPSIS
aqsis [options] [RIB file ...]

OPTIONS
-h, --help
    Print help information and exit.
--version
    Print program version information and exit.
--pause
    Wait for a keypress after rendering is complete.
--progress
    Print progress information while rendering (see --progressformat)
--Progress
    Print prman-compatible progress information while rendering (same as --progressformat="R90000%p%%").
--progressformat=[string]
    Specify a printf-style format string that overrides the default --progress output format (does not affect --Progress). Formatting codes are: "%p" = percent complete "%s" = total elapsed seconds "%S" = total remaining seconds "%m" = total elapsed minutes "%M" = total remaining minutes "%h" = total elapsed hours "%H" = total remaining hours "%t" = total elapsed time in HH:MM:SS "%T" = total remaining time in HH:MM:SS "%f" = frame number "%%" = % character
--endofframe
    Override the "endofframe" option from the input RIB file(s).
--nostandard
    Disable automatic declaration of standard RenderMan parameters.
-v, --verbose=[level]
    Controls the verbosity of output messages. "0" = errors only. "1" = errors and warnings (default). "2" = errors, warnings, and information. "3" = errors, warnings, information, and debugging output.
--renderinfo
    Print information about base render settings.
--type=[type]
    Specify a display device type to use.
--addtype=[type]
    Specify a display device type to add.
--mode=[mode]
    Specify a display device mode to use.
-d, --fb
    Equivalent to --type="framebuffer" --mode="rgb".
--crop [x1] [x2] [y1] [y2]
    Specify a crop window in screen space.
--rc=[file]
    Specify a RIB configuration file that will be parsed prior to each input RIB file (overrides the default and AQSIS_RC_PATH environment variable).
--shaders=[path1:path2...]
    Specify the path(s) used to search for compiled shaders (overrides the default and AQSIS_SHADER_PATH environment variable). You may specify multiple search paths, delimited using a colon.
--archives=[path1:path2...]
    Specify the path(s) used to search for archived RIB files (overrides the default and AQSIS_ARCHIVE_PATH environment variable). You may specify multiple search paths, delimited using a colon.
--textures=[path1:path2...]
    Specify the path(s) used to search for texture files (overrides the default and AQSIS_TEXTURE_PATH environment variable). You may specify multiple search paths, delimited using a colon.
--displays=[path1:path2...]
    Specify the path(s) used to search for display plugins (overrides the default and AQSIS_DISPLAY_PATH environment variable). You may specify multiple search paths, delimited using a colon.
--dsolibs=[path1:path2...]
    Specify the path(s) used to search for DSO shader plugins (overrides the default and AQSIS_DSO_PATH environment variable). You may specify multiple search paths, delimited using a colon.
--procedurals=[path1:path2...]
    Specify the path(s) used to search for procedural geometry plugins (overrides the default and AQSIS_PROCEDURAL_PATH environment variable). You may specify multiple search paths, delimited using a colon.
-nc, --nocolor
    Disable colored log output.
--syslog
    Log output messages to syslog (Posix only).

ENVIRONMENT VARIABLES
AQSIS_RC_PATH
    Overrides the RIB configuration file that will be loaded prior to each input RIB file (this overrides the default, but can be overridden by the --rc option, above).
AQSIS_SHADER_PATH
    Overrides the path(s) used to search for compiled shaders (this overrides the default, but can be overridden by the --shaders option, above). You may specify multiple search paths, delimited using a colon.
AQSIS_ARCHIVE_PATH
    Overrides the path(s) used to search for archived RIB files (this overrides the default, but can be overridden by the --archives option, above). You may specify multiple search paths, delimited using a colon.
AQSIS_TEXTURE_PATH
    Overrides the path(s) used to search for texture files (this overrides the default, but can be overridden by the --textures option, above). You may specify multiple search paths, delimited using a colon.
AQSIS_DISPLAY_PATH
    Overrides the path(s) used to search for display plugins (this overrides the default, but can be overridden by the --displays option, above). You may specify multiple search paths, delimited using a colon.
AQSIS_DSO_PATH
    Overrides the path(s) used to search for DSO shader plugins (this overrides the default, but can be overridden by the --dsolibs option, above). You may specify multiple search paths, delimited using a colon.
AQSIS_PROCEDURAL_PATH
    Overrides the path(s) used to search for procedural geometry plugins (this overrides the default, but can be overridden by the --procedural option, above). You may specify multiple search paths, delimited using a colon.

AUTHORS
Written by Paul Gregory, and many others.

REPORTING BUGS
Report bugs to <aqsis-development@lists.sourceforge.net>

COPYRIGHT
Copyright (c) 1995-2004, Paul Gregory
This software is licensed under the GNU General Public License; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.